Subject: Re: [PATCH v5] gnu: gnunet: Update to 0.16.3.

From: Tanguy LE CARROUR <[email-masked]>
Date: Tue, 05 Apr 2022 09:10:50 +0200

Hi Maxim,

Quoting Maxim Cournoyer (2022-04-04 15:05:19)
> Tanguy LE CARROUR <[email-masked]> writes:
> > Quoting Maxim Cournoyer (2022-04-04 04:32:25)
> >> Tanguy LE CARROUR <[email-masked]> writes:
> >> > I might also try to make it build from source instead of
> >> > relying on the release archive!?
> >> 
> >> I usually prefer the release archive when it exists and is signed by the
> >> project's maintainer PGP key (which I believe must be the case here,
> >> given it's part of the GNU project).
> >
> > +1!
> >
> > I tried to build from source, but found out that the bootstrap phase was
> > cloning another repo (gana) and copying files over. :-(
> 
> Oh!  So these source files are probably in the tarball.  If gana is a
> 3rd party project we could add as a TODO to un-bundle it (there's no
> 'gana' package in Guix as of now).

Yes, gana lives in another repository: https://git.gnunet.org/gana.git

The bootstrap phase, which is ran prior to building the release archive,
clones it and copy some files over to the gnunet directory
(see <https://git.gnunet.org/gnunet.git/tree/bootstrap#n114>).

I'll try to write a package definition for gana, make it an (native-)input
for gnunet, skip the bootstrap script and see how it goes!

Regards,

-- 
Tanguy